format_version: '1.0'

repository_url: https://github.com/torvalds/linux

sequence:
  base_version:
    input_file: 'd46a5ac7.zip'
    commit_sha1: d46a5ac7a7e2045e33c6ad6ffb8cf18a7e86a15a
  fix_attempt:
    - input_file: '2b73b07a.diff'
      commit_sha1: 2b73b07ab8a44ce171e07a328439f311481a7ea7
    - input_file: '07928d9b.diff'
      commit_sha1: 07928d9bfc81640bab36f5190e8725894d93b659
    
  expected_fix:
    input_file: '7ddc21e3.diff'
    commit_sha1: 7ddc21e317b360c3444de3023bcc83b85fabae2f

  
classification: partial fix
categories:
  - control-flow

  
metadata:
  language: C
  strategy: linux-convention
  build_system: ['kbuild']
  related_issue: null
